@import "$SHAREDSTYLES/base/_variables.scss";

.search_container{
    border-radius: 0 !important;
    overflow: auto;
    z-index: 3;
    max-width: 650px;
}

.search_input {
    display:flex;
    flex-direction:row;
    height: 60px;
    box-shadow: 0 0px 10px 0px rgba(0, 0, 0, 0.15);
    position: relative;
    svg g{
        fill: #5F5F5F;
    }
}

.back_arrow {
    background:white;
    line-height:47px;
    padding:10px 20px;
}

.text_field {
    flex-grow:1;
    border:none;
    padding: 10px 5px;
    font-size: 16px;
}

.isLoading{
    text-align: center;
    margin-top: 40px;
}


.cartItemCount{
    margin-left: 40px;
    // height: 35px;
    // display: inline-block;
    // vertical-align: middle;
}
.cartCta{
    position: absolute;
    // margin-right: 10px;
    // display: inline-block;
    // margin-top: 10px;
}

.extendedTextRemove{
    position: absolute;
    right: 15px;
}

.removeText{
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    svg{
        float: left;
    }
}

.qtyPrompt{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .2);
    z-index: 99;
    .popup{
        top: 50%;
        transform: translateY(-50%);
        position: relative;
        margin: 0 auto;
        text-align: center;
        width: 80%;
        height: 150px;
        background-color: #fff;
        padding: 20px;
        border-radius: 3px;
        h4{
            font-weight: 600;
        }
        input[type="number"]{
            border-bottom: 1px solid #ccc;
            margin-top: 10px;
            font-size: 30px;
            text-align: center;
            width: 100px;
        }
        input[type="number"]:focus{
            outline: none;
        }
        span{
            right: 0;
            bottom: 0;
            margin-left: 20px;
            color: $theme;
        }
    }
    .actionRow{
        position: absolute;
        right: 0;
        bottom: 0;
        margin: 17px 35px;
        font-size: 14px;
    }
}

.address_bar{
	background-color: #6E6E6E;
	color: #fff;
	font-size: 14px;
	padding: 10px 20px;
	width: 100%;
	float: left;
}

.address_bar_list{
	white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
	float: left;
	width: 94%;
}

.white_triangle{
  height: 15px;
  width: 10px;
  position: relative;
  display: inline-block;
  float: right;
}

.white_triangle::after {
  content: "";
  border-top: 4px solid #fff;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-bottom: 4px solid transparent;
  position: absolute;
  top: 8px;
  left: 0;
}

.substitute_container{
	padding: 20px 15px 15px;
  background-color: #eef2f7;
  position: relative;
  .sub_lsbel{
  	margin-bottom: 5px;
  	font-size: 14px;
  }
}

.substitute_container::before{
	  content: "";
    height: 0;
    width: 0;
    top: -1px;
    left: 71px;
    position: absolute;
    z-index: 999;
    border-top: 15px solid #fff;
    border-right: 10px solid transparent;
    border-bottom: 12px solid transparent;
    border-left: 10px solid transparent;
}

.cart_bucket{
	width: calc(100% - 30px);
	margin: 0 auto 30px;
	border: 1px solid #eef2f7;
	border-radius: 5px;
	.bucket_header{
		background-color: #f6f6f6;
    padding: 10px;
	}
}

.time_slot_header{
	padding: 15px;
	font-weight: bolder;
}

.time_slot{
	padding-bottom: 15px;
	max-height: 300px;
  overflow: auto;
	li{
		padding: 5px;
	}
	li:hover{
		background-color: #f1f1f1;
	}
}

.time_list{
	position: absolute;
	z-index: 99;
	background: #fff;
	padding: 15px;
	text-align: center;
	box-shadow: 0 0 9px 1px #00000038;
	width: 200px;
	left: 50%;
	right: 50%;
	transform: translate(-50%, -50%);
}

.avail_head{
  width: calc(100% - 160px);
}

.qty_input{
	border: 1px solid #eef2f7;
	padding: 10px;
	font-size: 16px !important;
}